#
# spec file for package python-msrest
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-msrest
Version:        0.4.11
Release:        lp150.2.1
Summary:        AutoRest swagger generator Python client runtime
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/msrest
Source:         https://files.pythonhosted.org/packages/source/m/msrest/msrest-%{version}.tar.gz
Patch0:         m_drop-compatible-releases-operator.patch
Patch1:         m_drop-extras-require.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-certifi >= 2015.9.6.2
Requires:       python-chardet >= 2.3.0
Requires:       python-isodate >= 0.5.4
Requires:       python-keyring >= 5.6
Requires:       python-requests >= 2.7.0
Requires:       python-requests-oauthlib >= 0.5.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
AutoRest swagger generator Python client runtime
Swagger is a powerful open source framework: http://swagger.io

%prep
%setup -q -n msrest-%{version}
%patch0 -p1
%patch1 -p1

%build
%python_build

%install
%python_install

%fdupes %{buildroot}/%{python_sitelib}/*

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Tue Sep 19 2017 adrian.glaubitz@suse.com
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + m_drop-compatible-releases-operator.patch
- Add patch to extras_require field from setup.py, required
  for SLES12 as the setuptools version is too old
  + m_drop-extras-require.patch
* Mon Jul 10 2017 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.4.11
- Provide full source URL in Source field
- Convert package to single spec
- Remove python-enum34 from Requires
* Mon Dec 12 2016 ms@suse.com
- Include in SLE 12 (fate#322171, bsc#1014478)
* Mon Dec 12 2016 ms@suse.com
- Initial build
  + Version 0.4.4
